[Libreoffice-commits] core.git: sw/qa

Yeliz Taneroğlu yeliztaneroglu at gmail.com
Sat May 20 09:29:08 UTC 2017


 sw/qa/extras/find-unused-data.sh |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

New commits:
commit e20f6464cc4047876ce5e6d47510e8038c513234
Author: Yeliz Taneroğlu <yeliztaneroglu at gmail.com>
Date:   Fri May 12 18:34:12 2017 +0300

    tdf#105204: ShellCheck nitpicks for find-unused-data.sh
    
    Double quote to prevent globbing and word splitting.
    
    Change-Id: I09faac27ca5c63a85b9b8cbd4f09821587bf4759
    Reviewed-on: https://gerrit.libreoffice.org/37545
    Tested-by: Jenkins <ci at libreoffice.org>
    Reviewed-by: Chris Sherlock <chris.sherlock79 at gmail.com>

diff --git a/sw/qa/extras/find-unused-data.sh b/sw/qa/extras/find-unused-data.sh
index 9f4496871875..17b5678bece4 100755
--- a/sw/qa/extras/find-unused-data.sh
+++ b/sw/qa/extras/find-unused-data.sh
@@ -2,8 +2,8 @@
 
 for i in */data/*
 do
-    file=$(basename $i)
-    if ! git grep -q $file; then
+    file=$(basename "$i")
+    if ! git grep -q "$file"; then
         echo "WARNING: $i is not used, write a testcase for it!"
     fi
 done


More information about the Libreoffice-commits mailing list